
Redmine - Defect #28302

Security notification when changing password on password forgotten is empty

2018-03-06 22:16 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 3.3.7   

Resolution: Fixed Affected version: 3.3.0

Description

Currently the "User" and "IP address" fields in security notification emails sent when changing a password using the forgotten

password feature are empty.

Jan had already proposed a patch for this in the original security notification issue #21421#note-15, but it seems to have been

overlooked. If this was intentionally left out, I am sorry to bother and I suggest adapting the email to not include the fields at all

instead of leaving them blank.

I have updated Jans patch against master and I will attach it to this issue.

Associated revisions

Revision 17269 - 2018-04-07 09:49 - Jean-Philippe Lang

Security notification on password recovery is empty (#28302).

Patch by Felix Schäfer.

Revision 17270 - 2018-04-07 09:50 - Jean-Philippe Lang

Merged r17269 into 3.4-stable (#28302).

Revision 17271 - 2018-04-07 09:56 - Jean-Philippe Lang

Merged r17269 into 3.3-stable (#28302).

History

#1 - 2018-03-06 22:17 - Felix Schäfer

- File 28302.patch added

#2 - 2018-03-07 09:17 - Mischa The Evil

- Status changed from New to Confirmed

- Target version set to 3.3.7

- Affected version set to 3.3.0

#3 - 2018-04-07 09:56 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed. Thanks for pointing this out.

Files

28302.patch 4.68 KB 2018-03-06 Felix Schäfer
